#include <map>
#include <string>
//#include <utility>

#include "TypeMap.hpp"

DeSerializerTypeMap InvertTypeMap( const SerializerTypeMap& i_map)
{
	DeSerializerTypeMap res;
	SerializerTypeMap::const_iterator iter;
	for ( iter = i_map.begin(); iter != i_map.end(); ++iter)
	{
		res.insert( std::make_pair( iter->second, iter->first));
	}
	return res;
}

SerializerTypeMap InvertTypeMap( const DeSerializerTypeMap& i_map)
{
	SerializerTypeMap res;
	DeSerializerTypeMap::const_iterator iter;
	for ( iter = i_map.begin(); iter != i_map.end(); ++iter)
	{
		res.insert( std::make_pair( iter->second, iter->first));
	}
	return res;
}

